Home

# Class goog.ui.CheckboxRenderer

Default renderer for {@link goog.ui.Checkbox}s. Extends the superclass to support checkbox states:

extends goog.ui.ControlRenderer

Instance Method Summary
| `ariaStateFromCheckState_(?goog.ui.Checkbox.State state) ⇒ string` Gets the checkbox's ARIA (accessibility) state from its checked state.
| `createDom(?goog.ui.Control control) ⇒ ?Element` Returns the control's contents wrapped in a DIV, with the renderer's own CSS class and additional state-specific classes applied to it.
| `decorate(?goog.ui.Control control, ?Element element) ⇒ ?Element` Default implementation of {@code decorate} for {@link goog.ui.Control}s. Initializes the control's ID, content, and state based on the ID of the element, its child nodes, and its CSS classes, respectively. Returns the element.
| `getAriaRole() ⇒ (goog.dom.a11y.Role|null|undefined)` Returns the ARIA role to be applied to checkboxes.
| `getClassForCheckboxState(?goog.ui.Checkbox.State state) ⇒ string` Takes a single {@link goog.ui.Checkbox.State}, and returns the corresponding CSS class name.
| `getCssClass() ⇒ string` Returns the CSS class name to be applied to the root element of all components rendered or decorated using this renderer. The class name is expected to uniquely identify the renderer class, i.e. no two renderer classes are expected to share the same CSS class name.
| `setCheckboxState(?Element element, ?goog.ui.Checkbox.State state)` Updates the appearance of the control in response to a checkbox state change.